Skip to main content
PATCH
Update a template

Authorizations

Authorization
string
header
required

An API key from the dashboard. sk_live_… sends; sk_test_… validates and returns ids without sending.

Path Parameters

id
string
required
Example:

"tpl_01j9x7k2r4m8q3v5n6b7c8d9e0"

Body

application/json
name
string
Maximum string length: 80
subject
string
Maximum string length: 998
html
string | null

null removes the part.

text
string | null

Response

The updated template

id
string
required
Example:

"tpl_01j9x7k2r4m8q3v5n6b7c8d9e0"

name
string
required
Example:

"order-shipped"

subject
string
required
html
string | null
required
text
string | null
required
variables
string[]
required

Placeholder names found in the subject, html and text.

Example:
version
integer
required
Example:

1

createdAt
string<date-time>
required
updatedAt
string<date-time>
required